import React from "react";
import { Redirect, Route, Switch } from "react-router-dom";
import SettingsWrapper from "../pages/settings/SettingsWrapper";
import GeneralSettings from "../pages/settings/General";
import Outlets from "../pages/settings/Outlets/Outlets";
import ShowOutlets from "../pages/settings/Outlets/ShowOutlets";
import Register from "../pages/settings/Register/Register";
import ShowRegister from "../pages/settings/Register/ShowRegister";


import PrivateRoute from "./PrivateRoute";

import Businesses from "../pages/settings/Business/ListBusinesses";
import NewBusiness from "../pages/settings/Business/CreateNewBusiness";
import ShowReceipt from "../pages/settings/Receipt/ShowReceipt";
import Receipt from "../pages/settings/Receipt/Receipt";

function SettingRoute() {
  return (
    <Switch>
      <SettingsWrapper>
        <Route
          path={`${process.env.PUBLIC_URL}/settings/business`}
          exact
          component={Businesses}
        />
        <Route
          path={`${process.env.PUBLIC_URL}/settings/business/new`}
          exact
          component={NewBusiness}
        />
        <Route
          path={`${process.env.PUBLIC_URL}/settings/registers`}
          exact
          component={ShowRegister}
        />
        <PrivateRoute
          component={Outlets}
          path={`${process.env.PUBLIC_URL}/settings/outlets/new`}
          allowedRoles={["OWNER"]}
        />

        <Route
          path={`${process.env.PUBLIC_URL}/settings/registers/new`}
          exact
          component={Register}
        />
        <Route
          path={`${process.env.PUBLIC_URL}/settings/general-settings`}
          exact
          component={GeneralSettings}
        />
        {/* <Route
          path={`${process.env.PUBLIC_URL}/settings/outlets/new`}
          exact
          component={Outlets}
        /> */}
        <Route
          path={`${process.env.PUBLIC_URL}/settings/outlets`}
          exact
          component={ShowOutlets}
        />

        <Route
          path={`${process.env.PUBLIC_URL}/settings/receipt`}
          exact
          component={ShowReceipt}
        />
        <Route
          path={`${process.env.PUBLIC_URL}/settings/receipt/new`}
          exact
          component={Receipt}
        />
        <Route path={`${process.env.PUBLIC_URL}/settings`} exact>
          <Redirect
            to={`${process.env.PUBLIC_URL}/settings/general-settings`}
          />
        </Route>
        {/* <Route path={`${process.env.PUBLIC_URL}/users`} component={} />
    <Route path={`${process.env.PUBLIC_URL}/customers`} component={}/>
    <Route path={`${process.env.PUBLIC_URL}/inventory`} component={} />
    <Route path={`${process.env.PUBLIC_URL}/products`} component={} />
    <Route path={`${process.env.PUBLIC_URL}/sales`} component={} />
    <Route path={`${process.env.PUBLIC_URL}/`} component={} /> */}
      </SettingsWrapper>
    </Switch>
  );
}

export default SettingRoute;
